import {
  _ as t,
  u as e,
  a,
  c as s,
  g as c,
  b as n,
  d as i,
  o as l,
  e as r,
  f as o,
  F as p,
  r as h,
  h as v,
  n as g,
  t as u,
  i as x,
} from "./index-476be0bb.js";
const d = { class: "tabbar-wrapper w-full relative z-10 van-hairline--top" },
  f = { class: "flex h-full" },
  k = ["onClick"],
  m = { key: 0, class: "text-center" },
  b = ["src"],
  I = ["src"],
  _ = { key: 1, class: "text-center pos" },
  y = { class: "bg-#DDDCFC text-center tabs" },
  w = ["src"],
  C = ["src"],
  D = t(
    {
      __name: "index",
      setup(t) {
        const { changeUserInfo: D, getToken: j } = e(),
          { t: B } = a(),
          E = s(() => [
            {
              title: B("首页"),
              path: "/",
              icon: c("one.png"),
              activeIcon: c("one_c.png"),
            },
            {
              title: B("推广"),
              path: "/subscription",
              icon: c("two.png"),
              activeIcon: c("two_c.png"),
            },
            {
              title: B("开始任务"),
              path: "/autoTask",
              icon: c("taberbar.png"),
              activeIcon: c("taberbar.png"),
            },
            {
              title: B("客服"),
              path: "/service",
              icon: c("three.png"),
              activeIcon: c("three_c.png"),
            },
            {
              title: B("账户"),
              path: "/mine",
              icon: c("four.png"),
              activeIcon: c("four_c.png"),
            },
          ]),
          F = n(),
          T = i();
        return (t, e) => (
          l(),
          r("div", d, [
            o("div", f, [
              (l(!0),
              r(
                p,
                null,
                h(
                  v(E),
                  (t, e) => (
                    l(),
                    r(
                      "div",
                      {
                        class:
                          "flex-1 flex flex-col justify-center items-center",
                        key: e,
                        onClick: (e) => {
                          return (a = t.path), D(), void F.push(a);
                          var a;
                        },
                      },
                      [
                        2 != e
                          ? (l(),
                            r("div", m, [
                              v(T).path === t.path
                                ? (l(),
                                  r(
                                    "img",
                                    {
                                      key: 0,
                                      class: "h-22",
                                      src: t.activeIcon,
                                      alt: "",
                                    },
                                    null,
                                    8,
                                    b
                                  ))
                                : (l(),
                                  r(
                                    "img",
                                    {
                                      key: 1,
                                      class: "h-22",
                                      src: t.icon,
                                      alt: "",
                                    },
                                    null,
                                    8,
                                    I
                                  )),
                              o(
                                "div",
                                {
                                  class: g([
                                    "mt-4 text-12 text-center",
                                    [
                                      v(T).path === t.path
                                        ? "text-[#5B56E8]"
                                        : "text-[#999]",
                                    ],
                                  ]),
                                },
                                u(t.title),
                                3
                              ),
                            ]))
                          : x("", !0),
                        2 == e
                          ? (l(),
                            r("div", _, [
                              o("div", y, [
                                v(T).path === t.path
                                  ? (l(),
                                    r(
                                      "img",
                                      {
                                        key: 0,
                                        class: "h-20",
                                        src: t.activeIcon,
                                        alt: "",
                                      },
                                      null,
                                      8,
                                      w
                                    ))
                                  : (l(),
                                    r(
                                      "img",
                                      {
                                        key: 1,
                                        class: "h-20",
                                        src: t.icon,
                                        alt: "",
                                      },
                                      null,
                                      8,
                                      C
                                    )),
                              ]),
                              o(
                                "div",
                                {
                                  class: g([
                                    "mt-4 text-12 text-center",
                                    [
                                      v(T).path === t.path
                                        ? "text-[#5B56E8]"
                                        : "text-[#999]",
                                    ],
                                  ]),
                                },
                                u(t.title),
                                3
                              ),
                            ]))
                          : x("", !0),
                      ],
                      8,
                      k
                    )
                  )
                ),
                128
              )),
            ]),
          ])
        );
      },
    },
    [["__scopeId", "data-v-425207e6"]]
  );
export { D as default };
